Package org.apache.ignite.spi.metric

## Interface Metric

All Known Subinterfaces:
  `BooleanMetric`, `ConfigurableHistogramMetric`, `DoubleMetric`, `HistogramMetric`, `IntMetric`, `LongMetric`, `ObjectMetric<T>`

All Known Implementing Classes:
  `AbstractMetric`, `AtomicLongMetric`, `BooleanGauge`, `BooleanMetricImpl`, `DoubleGauge`, `DoubleMetricImpl`, `HistogramMetricImpl`, `HitRateMetric`, `IntGauge`, `IntMetricImpl`, `LongAdderMetric`, `LongAdderWithDelegateMetric`, `LongGauge`, `ObjectGauge`, `ObjectMetricImpl`, `PeriodicHistogramMetricImpl`

    public interface Metric

Base interface for all metrics.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`String` `description()`
`@Nullable String` `getAsString()`
`String` `name()`
`default void` `reset()` Resets metric state.

### Method Detail

#### name

    String name()

Returns:
  Name of the metric.

#### description

    String description()

Returns:
  Description of the metric.

#### getAsString

    @Nullable
    @Nullable String getAsString()

Returns:
  String representation of metric value.

#### reset

    default void reset()

Resets metric state.